#!/bin/bash
exec > /dev/null 2>&1

sudo pkill -f "/Applications/SafeQClient"
sudo pkill -f "/Applications/YSoft SafeQ Client"

sudo rm -rf /Applications/SafeQClient.app "/Applications/YSoft SafeQ Client.app"
sudo rm -rf /usr/libexec/cups/backend/sqport

# Ignore shared library
#rm -f /usr/lib/libzmq.3.dylib

sudo rm -rf /Library/LaunchAgents/com.ysoft.client.agent.plist
sudo rm -rf /Library/PreferencePanes/ClientPreferences.prefPane
sudo rm -rf "/Library/Application Support/YSoft/SafeQWebAppBrowser.app"

# remove directory 
sudo rm -rf "/Library/Application Support/YSoft"

# remove file
sudo rm -rf Library/LaunchDaemons/com.ysoft.service.DHCPOption.plist
sudo rm -rf tmp/bizhub_C658_C368_C287_C266_108.pkg
sudo rm -rf tmp/bizhub_C658_C368_C287_C266_108.pkg
sudo rm -rf tmp/YSoft SafeQ Client Mac OS X.pkg

# forget package 
sudo pkgutil --forget com.ysoft.customized-driver-10-8
sudo pkgutil --forget com.ysoft.customized-driver-10-9
sudo pkgutil --forget com.ysoft.custom
sudo pkgutil --forget com.ysoft.safeq.client

# delete printer 
lpadmin -x SafeQ001


CUPS="/usr/libexec/cups"
CUPS_CONFIG="/etc/cups/cups-files.conf"

function activateRelaxedSandbox() 
{
    # Stop CUPS
    launchctl stop org.cups.cupsd

    echo 'Sandboxing Relaxed' >> "$CUPS_CONFIG"
    sed -e 's/Sandboxing Relaxed/#Sandboxing Relaxed/g' "$CUPS_CONFIG" > /tmp/cups-files.conf
    mv /tmp/cups-files.conf "$CUPS_CONFIG"

    # Start CUPS
    launchctl start org.cups.cupsd
}

function checkRelaxedSandbox()
{
    grep 'Sandboxing Relaxed' "$CUPS_CONFIG" >/dev/null 2>/dev/null || deactivateRelaxedSandbox
}

# Retreive product version 
sw_vers -productVersion | grep '^10.1[0-9]' >/dev/null && checkRelaxedSandbox 

exit 0;



